#include<bits/stdc++.h>
using namespace std;
int niz1[200000], niz2[200000], niz3[200000];
int main ()
{
	int n, k, i=0, a, p=0;
	cin>>n>>k;
	while(i<n)
	{
		cin>>a;
		if(a>0)niz1[a]++;
		else niz2[abs(a)]++;
		i++;
	}
	i=0;
	while(i<n)
	{
		if(niz1[i]>=k)niz3[p]=i,p++;
		i++;
	}
	i=0;
	while(i<n)
	{
		if(niz2[i]>=k)niz3[p]=(-1)*i,p++;
		i++;
	}
	i=0;
	sort(niz3,niz3+p);
	cout<<p<<endl;
	while(i<p)cout<<niz3[i]<<endl,i++;
	return 0;
}